> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of all projects

> Use this endpoint to retrieve a list of all projects that are available on the API.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/projects
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/projects:
    get:
      tags:
        - Projects
      summary: Get a list of all projects
      description: >
        Use this endpoint to retrieve a list of all projects that are available
        on the API.
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: >-
                            Returns the project name used on the web
                            application.
                        project_id:
                          type: string
                          description: >-
                            Required input on the API when retrieving data for a
                            project.
                        coingecko_id:
                          type: string
                          description: Returns the Coingecko ID for a project.
                        symbol:
                          type: string
                          description: >-
                            Returns the ticker for a project’s token (exists if
                            token is launched).
                        url:
                          type: string
                          description: >-
                            Returns a link to the endpoint for querying a
                            project’s metric availability data.
                        is_archived:
                          type: boolean
                          description: >-
                            Returns true if the project has been archived.
                            Archived projects retain historical data but no new
                            data is processed for them.
                        archived_reason:
                          type: string
                          description: >-
                            Returns information on why the project has been
                            archived if applicable.
                        maintenance_reason:
                          type: string
                          description: >-
                            Returns information on why the project is having
                            maintenance if applicable.
                        products:
                          type: array
                          items:
                            type: object
                            properties:
                              product_id:
                                type: string
                                description: Returns the product ID.
                              product_name:
                                type: string
                                description: Returns the product name.
                              symbol:
                                type: string
                                description: Returns the ticker for a product's token.
                              url:
                                type: string
                                description: >-
                                  Returns a link to the endpoint for querying
                                  more information about the product.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````